<!-- THIS PART OF THIS FILE IS AUTOGENERATED. DO NOT MODIFY IT. See scripts/generate-docs.sh -->
# ai
<small style="color: lightgray;">(only in GDB)</small>

```text
usage: ai [-h] [-M MODEL] [-t TEMPERATURE] [-m MAX_TOKENS] [-v] [-L]
          [-c COMMAND]
          [question ...]

```

Ask GPT-3 a question about the current debugging context.
### Positional arguments

|Positional Argument|Help|
| :--- | :--- |
|question|The question to ask.|

### Optional arguments

|Short|Long|Help|
| :--- | :--- | :--- |
|-h|--help|show this help message and exit|
|-M|--model|The OpenAI model to use.|
|-t|--temperature|The temperature to use.|
|-m|--max-tokens|The maximum number of tokens to generate.|
|-v|--verbose|Print the prompt and response.|
|-L|--list-models|List the available models.|
|-c|--command|Run a command in the GDB debugger and ask a question about the output.|

<!-- END OF AUTOGENERATED PART. Do not modify this line or the line below, they mark the end of the auto-generated part of the file. If you want to extend the documentation in a way which cannot easily be done by adding to the command help description, write below the following line. -->
<!-- ------------\>8---- ----\>8---- ----\>8------------ -->
